Spaces method and path for this operation:
delete /s/{space_id}/api/synthetics/monitors/{id}
Refer to Spaces for more information.
Delete a monitor from the Synthetics app.
You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read AND uptime-write.
DELETE
/api/synthetics/monitors/{id}
curl
curl \
-X DELETE "${KIBANA_URL}/api/synthetics/monitors/monitor-id" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true"
DELETE kbn://api/synthetics/monitors/monitor-id
Response examples (200)
[
{
"deleted": true,
"id": "monitor1-id"
}
]